Name:           tpb
Version:        0.6.4
Release:        16%{?dist}
Summary:        ThinkPad button support utility

Group:          System Environment/Base
License:        GPLv2+
URL:            http://www.nongnu.org/tpb/
Source0:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz
Source1:        http://savannah.nongnu.org/download/tpb/%{name}-%{version}.tar.gz.sig
Patch0:         %{name}-defaultconfig.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  %{ix86} x86_64
BuildRequires:  xosd-devel >= 2.0.0
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  gettext
Requires:       udev >= 050-6
Requires:       MAKEDEV
Requires:       xorg-x11-xinit

%description
With TPB it is possible to bind a program to the ThinkPad, Mail, Home
and Search buttons. TPB can also run a callback program on each state
change with the changed state and the new state as options.  So it is
possible to trigger several actions on different events.  TPB has a
on-screen display (OSD) to show volume, mute, brightness and some
other information.  Furthermore TPB supports a software mixer, as the
R series ThinkPads have no hardware mixer to change the volume.


%prep
%setup -q
%patch0 -p0

# Start tpb at X startup:
cat <<EOF > %{name}.xinit
#!/bin/sh
if echo "\$DISPLAY" | grep "^:" > /dev/null; then
        %{_bindir}/tpb -d
fi
EOF

# For the initial MAKEDEV at post-install time, and possibly later:
cat <<EOF > %{name}.makedev
# Custom permissions for nvram for use with tpb(1).
c 664 root root         10 144  1   1 nvram
EOF

# Permissions fixup:
cat <<EOF > %{name}.rules
# Custom permissions for nvram for use with tpb(1).
KERNEL=="nvram", MODE="0664"
EOF


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dm 755 %{name}.xinit \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
install -Dpm 644 %{name}.rules \
  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/90-%{name}.rules
install -Dpm 644 %{name}.makedev \
  $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d/zz_%{name}
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/MAKEDEV nvram >/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING CREDITS README doc/callback_example.sh doc/nvram.txt
%{_sysconfdir}/X11/xinit/xinitrc.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/makedev.d/*%{name}
%config(noreplace) %{_sysconfdir}/tpbrc
%{_bindir}/tpb
%{_mandir}/man1/tpb.1*


%changelog
* Mon Nov 21 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.6.4-16
- Rebuild for Fedora 16

* Sat May 28 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.6.4-15
- Rebuild for Fedora 15

* Sat Oct 30 2010 endur <matthias_haase@bennewitz.com> - 0.6.4-14
- Rebuild for Fedora 14

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 17 2008 Kevin Fenzi <kevin@tummy.com> - 0.6.4-10
- Rebuild for gcc43

* Sun Aug 26 2007 Kevin Fenzi <kevin@tummy.com> - 0.6.4-9
- Updated License tag

* Tue Jul  3 2007 Kevin Fenzi <kevin@tummy.com> - 0.6.4-8
- Remove obsolete 90-tpb.nodes file (fixes #245963)

* Sat Dec  9 2006 Kevin Fenzi <kevin@tummy.com> - 0.6.4-7
- Fix quoting issue with multiple display fix.

* Sat Dec  9 2006 Kevin Fenzi <kevin@tummy.com> - 0.6.4-6
- Add fix for multiple displays (bug #205719)
- Build on x86_64, since there are now x86_64 thinkpads. (bug #218993)

* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 0.6.4-5
- Rebuild for fc6

* Fri May 19 2006 Kevin Fenzi <kevin@tummy.com> - 0.6.4-4
- Bring back from Attic and build for devel

* Sun Mar 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-3
- Rebuild.

* Thu Nov 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-2
- Adapt to modular X packaging.

* Thu Oct 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.4-1
- 0.6.4.

* Mon May 16 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.6.3-4
- Adapt to work with FC4's udev configuration.
- Improve default OSD placement.

* Thu Mar 24 2005 Colin Charles <colin@fedoraproject.org> - 0:0.6.3-3
- add ExclusiveArch x86 only

* Wed Feb  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.3-2
- Add udev-awareness to /dev/nvram handling (#147306, Matthew Saltzman).
- Change default OSD font to "luxi sans", "sans" doesn't work early enough.

* Tue Aug 24 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.3-0.fdr.1
- Update to 0.6.3.
- Further small improvements to default config.

* Wed Jun  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-0.fdr.2
- Rename xinit scriptlet to tpb.sh (bug 1227, bugzilla.redhat.com/122869).

* Wed May 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.2-0.fdr.1
- Update to 0.6.2.
- Improve default configuration.
- Remove LD_ASSUME_KERNEL hack.

* Mon Jan 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
- Update to 0.6.1.

* Mon Nov 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.3
- Don't use MAKEDEV to create /dev/nvram.

* Wed Oct 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.2
- Add LD_ASSUME_KERNEL=2.4.1 workaround to xinit script.
  http://savannah.nongnu.org/bugs/?func=detailbug&bug_id=3260&group_id=2320

* Mon Aug 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.6.0-0.fdr.1
- Update to 0.6.0.

* Tue May 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.4
- Make /dev/nvram readable again (#296).

* Sun May 18 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.3
- Use MAKEDEV for creating the nvram device node and own it.
- Mark xinit file as config to make rpmlint happy.
- %%{buildroot} -> $RPM_BUILD_ROOT.
- Make the build honor $RPM_OPT_FLAGS.

* Sat Apr 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.2
- Don't require tpctl (#177).

* Fri Apr 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.1-0.fdr.1
- Update to 0.5.1.

* Sun Apr  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.5.0-0.fdr.1
- Update to 0.5.0.
- Save .spec in UTF-8.

* Sun Mar 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.2-0.fdr.1
- Rebuild according to Fedora RC3 guidelines.

* Sat Feb  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.4.2-1.fedora.1
- First Fedora release.
